<%--
 * Component:
 *       help
 *
 * Description:
 *       displays viewer help
 *
 * @param cLanguage  display help files for the requested language. (hu_HU, pt_BR, ...)
 *                   Default: English (en_US). Falls back to default language if help files in the requested language do not exist.
 *
 * @param cPage      start page (defaults to whnjs.htm for chrome and to index.htm otherwise)
 *
 * @param cProduct   display help files for the requested product type.
 *                   supported values
 *                     - EP (eRAD PACS viewer help files)
 *                     - PB (PracticeBuilder 1-2-3 viewer help files)
 *                     - auto (default - display the help files according to the servers Product Type settings)
 *
--%><%@
	page import="java.io.File,imagemed.imsession.*,imagemed.util.*,imagemed.jsputil.DicomSrvToolbox"

%><%@
	page errorPage="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out ); 
	if ( !is.regOK() ) {
		return;
	}

	String versionDir = IMEnvBase.getEnv( "HELP_VERSION_DIR" );

	String pageId = request.getParameter( "cPage" );
	if ( pageId == null ) {
		if (is.bIsChrome) {
			pageId = "whnjs.htm";
		}
		else {
			pageId = "index.htm";
		}
	}

	String parProduct = request.getParameter( "cProduct" );
	String dirName = null;
	if ( "EP".equals( parProduct ) ) {
		dirName = "EPVHelp";
	}
	else if ( "PB".equals( parProduct ) ) {
		dirName = "PBVHelp";
	}
	else if ( DicomSrvToolbox.NAME_PB123.equals( DicomSrvToolbox.getProductType() ) ) {
		dirName = "PBVHelp";
	}
	else {
		dirName = "EPVHelp";
	}

	String parLanguage = request.getParameter( "cLanguage" );
	String langPostFix = "";
	if ( parLanguage != null ) {
		langPostFix = "_" + parLanguage;
	}
	else {
		langPostFix = LocalizedMessage.getActualLocaleAsNamePostfix();
	}

	String dirNameLang = dirName + langPostFix;
	if( new File( IMEnvBase.getEnv( "DOCUMENT_ROOT" ) + "/help/" + versionDir + "/" + dirNameLang ).exists() ) {
		dirName = dirNameLang;
	}
	else {
		Helper.DEBUG( "Localized help not exists:" + dirNameLang );
		// Use default (English)
	}

	response.sendRedirect( "/help/" + versionDir + "/" + dirName + "/" + pageId );

	if ( true ) {
		return;
	}
%>
