#!/bin/sh
#
# Component: help
#
# Description:
#    Sets version for help file(s) to be pulled from binary repository
#

# Help files will be placed to this sub-directory under htdocs/
# This is to avoid browser displaying cached (old) version after an update
# To be updated whenever help files change
HELP_VERSION_DIR="v73-2"

# Return if sourced from the control script
[ "$1" = "config" ] && return 0


# Array of help file boundles (.zip)
declare -A HELP_BUNDLES


#
# Server help files in default language (English)
# EPHelp, ERHelp and PBHelp bundled into a single file
#
HELP_BUNDLES[ServerHelp]="v73.20180112"

#
# Viewer help files in default language (English)
# EPVHelp and PBVHelp bundled into a single file
#
HELP_BUNDLES[ViewerHelp]="v73.20160509"


##################################
#
# Translated help file bundle(s)
#
##################################


# Brasil help files for EPHelp
HELP_BUNDLES["EPHelp_pt_BR"]="20130606"
#HELP_BUNDLES["PBHelp_pt_BR"]="20121213"
#HELP_BUNDLES["ERHelp_pt_BR"]="20121213"

#HELP_BUNDLES["EPHelp_hu_HU"]="20130605"
#HELP_BUNDLES["ERHelp_hu_HU"]="20121213"
#HELP_BUNDLES["PBHelp_hu_HU"]="20121213"



############################
#
# Individual file(s)
#
############################


# Change request form
PB_CHANGE_FORM_VERSION="v60-20080206"
